project.xml 6.1 KB
Newer Older
1 2 3 4 5
<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://www.netbeans.org/ns/project/1">
    <type>org.netbeans.modules.apisupport.project</type>
    <configuration>
        <data xmlns="http://www.netbeans.org/ns/nb-module-project/3">
6
            <code-name-base>org.netbeans.modules.localtasks</code-name-base>
7 8
            <module-dependencies>
                <dependency>
9 10 11 12 13 14 15
                    <code-name-base>org.eclipse.core.runtime</code-name-base>
                    <build-prerequisite/>
                    <compile-dependency/>
                    <run-dependency/>
                </dependency>
                <dependency>
                    <code-name-base>org.eclipse.equinox.common</code-name-base>
16 17 18
                    <build-prerequisite/>
                    <compile-dependency/>
                    <run-dependency>
19
                        <specification-version>3.6.0</specification-version>
20 21 22
                    </run-dependency>
                </dependency>
                <dependency>
23 24 25 26 27 28 29
                    <code-name-base>org.eclipse.mylyn.tasks.core</code-name-base>
                    <build-prerequisite/>
                    <compile-dependency/>
                    <run-dependency/>
                </dependency>
                <dependency>
                    <code-name-base>org.netbeans.modules.bugtracking</code-name-base>
30 31 32
                    <build-prerequisite/>
                    <compile-dependency/>
                    <run-dependency>
33
                        <specification-version>1.95</specification-version>
34 35 36
                    </run-dependency>
                </dependency>
                <dependency>
37
                    <code-name-base>org.netbeans.modules.bugtracking.commons</code-name-base>
38 39 40
                    <build-prerequisite/>
                    <compile-dependency/>
                    <run-dependency>
41
                        <specification-version>1.0</specification-version>
42 43 44
                    </run-dependency>
                </dependency>
                <dependency>
45 46 47
                    <code-name-base>org.netbeans.modules.mylyn.util</code-name-base>
                    <build-prerequisite/>
                    <compile-dependency/>
48
                    <run-dependency>
49
                        <specification-version>1.24</specification-version>
50 51 52
                    </run-dependency>
                </dependency>
                <dependency>
53
                    <code-name-base>org.netbeans.modules.spellchecker.apimodule</code-name-base>
54 55 56
                    <build-prerequisite/>
                    <compile-dependency/>
                    <run-dependency>
57
                        <specification-version>1.19</specification-version>
58 59 60
                    </run-dependency>
                </dependency>
                <dependency>
61
                    <code-name-base>org.netbeans.modules.team.commons</code-name-base>
62 63 64
                    <build-prerequisite/>
                    <compile-dependency/>
                    <run-dependency>
65
                        <specification-version>1.31</specification-version>
66 67 68 69 70 71 72
                    </run-dependency>
                </dependency>
                <dependency>
                    <code-name-base>org.openide.awt</code-name-base>
                    <build-prerequisite/>
                    <compile-dependency/>
                    <run-dependency>
73
                        <specification-version>7.60</specification-version>
74 75 76 77 78 79 80
                    </run-dependency>
                </dependency>
                <dependency>
                    <code-name-base>org.openide.dialogs</code-name-base>
                    <build-prerequisite/>
                    <compile-dependency/>
                    <run-dependency>
81
                        <specification-version>7.35</specification-version>
82 83 84
                    </run-dependency>
                </dependency>
                <dependency>
85
                    <code-name-base>org.openide.filesystems</code-name-base>
86 87 88
                    <build-prerequisite/>
                    <compile-dependency/>
                    <run-dependency>
89
                        <specification-version>9.0</specification-version>
90 91 92
                    </run-dependency>
                </dependency>
                <dependency>
93
                    <code-name-base>org.openide.modules</code-name-base>
94 95 96
                    <build-prerequisite/>
                    <compile-dependency/>
                    <run-dependency>
97
                        <specification-version>7.40</specification-version>
98 99
                    </run-dependency>
                </dependency>
100 101 102 103 104 105 106 107
                <dependency>
                    <code-name-base>org.openide.util.ui</code-name-base>
                    <build-prerequisite/>
                    <compile-dependency/>
                    <run-dependency>
                        <specification-version>9.3</specification-version>
                    </run-dependency>
                </dependency>
108
                <dependency>
109
                    <code-name-base>org.openide.util</code-name-base>
110 111 112
                    <build-prerequisite/>
                    <compile-dependency/>
                    <run-dependency>
113 114 115 116 117 118 119 120 121
                        <specification-version>9.3</specification-version>
                    </run-dependency>
                </dependency>
                <dependency>
                    <code-name-base>org.openide.util.lookup</code-name-base>
                    <build-prerequisite/>
                    <compile-dependency/>
                    <run-dependency>
                        <specification-version>8.25</specification-version>
122 123 124 125 126 127 128
                    </run-dependency>
                </dependency>
                <dependency>
                    <code-name-base>org.openide.windows</code-name-base>
                    <build-prerequisite/>
                    <compile-dependency/>
                    <run-dependency>
129
                        <specification-version>6.66</specification-version>
130 131 132
                    </run-dependency>
                </dependency>
            </module-dependencies>
133 134
            <test-dependencies/>
            <public-packages/>
135 136 137
        </data>
    </configuration>
</project>